SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetWorkGroupsFromSupervisorEP] (
	@VCC Varchar(50) = NULL, 
	@CampaignIds Varchar(MAX) = NULL
)
AS
BEGIN
	SET NOCOUNT ON
    IF @CampaignIds <> ''
    BEGIN 
        SELECT DISTINCT
            [Description]					'description',
            [SupervisorId]                  'supervisorId',
            [CampaignId]                    'campaignId',
            [AgentId]                       'agentId'
        FROM [WorkGroupSupervisor] (NOLOCK)
        WHERE [VCC] = @VCC
            AND [CampaignId]  IN (SELECT Value FROM [dbo].[split](@CampaignIds, ','))

          
	END
    ELSE
    BEGIN
         SELECT DISTINCT
            [Description]					'description',
            [SupervisorId]                  'supervisorId',
            [CampaignId]                    'campaignId',
            [AgentId]                       'agentId'
        FROM [WorkGroupSupervisor] (NOLOCK)
        WHERE [VCC] = @VCC

    END

		
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
